package com.cyksj.server.recharge;

import com.cyksj.model.request.GroupsRelationRechargeReq;
import com.cyksj.server.recharge.dto.*;

/**
 * @author chan
 * @date 2025/7/30 18:55
 */
public interface GptProxyRechargeService {
    
    /**
     * 验证卡密
     */
    CardKeyValidationResult validateCardKey(String cardKey);
    
    /**
     * 验证凭证
     */
    TokenParseResult parseToken(String accessToken);
    
    /**
     * 提交任务
     */
    TaskSubmitResult submitTask(String cardKey, String accessToken, String idp);
    
    /**
     * 获取任务结果
     */
    TaskResult getTaskResult(String taskId);

    String confirmRecharge(GroupsRelationRechargeReq req);
}
